v1-interview
Participant Interview State
Participant Interview State
curl --request GET \
--url https://api.example.com/v1/participant/interview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/interview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/interview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/interview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/interview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/participant/interview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/interview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"available": true,
"consented": true,
"status": "not_started",
"agent_connected": false,
"attempt": 0,
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_kind": "question",
"item_text": "<string>",
"missing": [
{
"id": "<string>",
"kind": "question",
"label": "<string>",
"section_id": "<string>"
}
],
"paused_reason": "<string>",
"pending_proposal": {
"confirmation_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "answer",
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"previous_answer": {},
"proposed_answer": {}
},
"progress": 0,
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"ready_to_finish": false,
"revision": 0,
"scenario": {
"follow_ups_remaining": 1,
"follow_ups_used": 1,
"framing": "stated_intention",
"id": "<string>",
"prompt": "<string>"
},
"section": {
"answered": 1,
"count": 2,
"id": "<string>",
"position": 2,
"title": "<string>",
"total": 1,
"description": "<string>"
},
"target_minutes_max": 123,
"target_minutes_min": 123,
"unavailable_reason": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
Short-lived token bound to one participant session.
Response
Successful Response
Available options:
not_started, active, paused, completed, ended_incomplete Required range:
x >= 0Available options:
question, confirmation, scenario, screen_entry, consistency_check, ready_to_finish Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 1- ParticipantSingleSelectQuestion
- ParticipantMultiSelectQuestion
- ParticipantShortTextQuestion
- ParticipantNumberQuestion
- ParticipantDateQuestion
- ParticipantNumberGroupQuestion
Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes
The part of a core-order journey a page or question belongs to (participant-safe, localized).
Show child attributes
Show child attributes
⌘I
Participant Interview State
curl --request GET \
--url https://api.example.com/v1/participant/interview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/interview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/interview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/interview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/interview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/participant/interview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/interview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"available": true,
"consented": true,
"status": "not_started",
"agent_connected": false,
"attempt": 0,
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_kind": "question",
"item_text": "<string>",
"missing": [
{
"id": "<string>",
"kind": "question",
"label": "<string>",
"section_id": "<string>"
}
],
"paused_reason": "<string>",
"pending_proposal": {
"confirmation_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "answer",
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"previous_answer": {},
"proposed_answer": {}
},
"progress": 0,
"question": {
"id": "<string>",
"input": "single_select",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"prompt": "<string>",
"required": false
},
"ready_to_finish": false,
"revision": 0,
"scenario": {
"follow_ups_remaining": 1,
"follow_ups_used": 1,
"framing": "stated_intention",
"id": "<string>",
"prompt": "<string>"
},
"section": {
"answered": 1,
"count": 2,
"id": "<string>",
"position": 2,
"title": "<string>",
"total": 1,
"description": "<string>"
},
"target_minutes_max": 123,
"target_minutes_min": 123,
"unavailable_reason": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}